Package org.eclipse.emf.cdo.lm.client

# Interface ISystemManager.SystemEvent

All Superinterfaces:
  `org.eclipse.net4j.util.event.IEvent`

All Known Subinterfaces:
  `ISystemManager.BaselineCreatedEvent`, `ISystemManager.DescriptorStateEvent`, `ISystemManager.ModuleCreatedEvent`, `ISystemManager.ModuleDeletedEvent`, `ISystemManager.StreamBranchChangedEvent`

Enclosing interface:
  `ISystemManager`

public static interface ISystemManager.SystemEvent extends org.eclipse.net4j.util.event.IEvent

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`System`
`getSystem()`
`ISystemDescriptor`
`getSystemDescriptor()`

### Methods inherited from interface org.eclipse.net4j.util.event.IEvent

`getSource`

## Method Details

### getSystemDescriptor

ISystemDescriptor getSystemDescriptor()

### getSystem

System getSystem()